import { BaseResponseError, BaseResponseSuccess } from './response-base';
import { SdkError } from '../../errors';
import * as CacheSetAddElement from './cache-set-add-element';
import { CacheSetAddElementsResponse } from './enums';
interface IResponse {
    readonly type: CacheSetAddElementsResponse;
    toSingularResponse(): CacheSetAddElement.Response;
}
/**
 * Indicates a Successful set add elements request.
 */
export declare class Success extends BaseResponseSuccess implements IResponse {
    readonly type: CacheSetAddElementsResponse.Success;
    toSingularResponse(): CacheSetAddElement.Success;
}
/**
 * Indicates that an error occurred during the set add elements request.
 *
 * This response object includes the following fields that you can use to determine
 * how you would like to handle the error:
 *
 * - `errorCode()` - a unique Momento error code indicating the type of error that occurred.
 * - `message()` - a human-readable description of the error
 * - `innerException()` - the original error that caused the failure; can be re-thrown.
 */
export declare class Error extends BaseResponseError implements IResponse {
    readonly type: CacheSetAddElementsResponse.Error;
    constructor(_innerException: SdkError);
    toSingularResponse(): CacheSetAddElement.Error;
}
export type Response = Success | Error;
export {};
